# Type built-in

The type built-in identifies a command.

## Syntax

- `type [-abefkp] [command…]`

## Description

The type built-in is equivalent to the command built-in with the `-V` option.

## Notes

The POSIX standard does not define the relation between the type and command built-ins. The standard does not define options for the type built-in.

At least one command operand must be specified in the POSIXly-correct mode.

The type built-in is a mandatory built-in.